%define upstream_name    Class-DBI-Pg
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Class::DBI extension for Postgres
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Class::DBI)
BuildArch:      noarch


%description
Class::DBI::Pg automate the setup of Class::DBI columns and primary key for
Postgres.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 509917
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 364335
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 31771
- mageia rebuild
- imported package perl-Class-DBI-Pg


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 403009
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.09-3mdv2009.0
+ Revision: 241180
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2008.0
+ Revision: 81240
- import perl-Class-DBI-Pg


* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2008.0
- first mdv release
